######################## Correlation matrix ###############################
# This file is intended to transform (pivot wide) the Perseus correlation data frame into
# a more readable format. It is used for figure 6b, and 6c.

## Load packages
if (!require("tidyverse")) install.packages("tidyverse")


## Open data
correlation_df <- read_tsv("Data/1 - Optimization study (2016)/Perseus export/Correlation-matrix/All-proteins.txt") %>%
  select('Row index', 'Column index','R squared')


## Change 
correlation_df<- correlation_df %>%
  pivot_wider(names_from = 'Column index', values_from = 'R squared') %>%
  select(-'Row index')

## Move 1st column
correlation_df <- correlation_df[moveme(names(correlation_df), "1 first")]

# Summary
max(correlation_df, na.rm = T)
min(correlation_df, na.rm = T)

## Write
write_csv(x = correlation_df, "Data/1 - Optimization study (2016)/Correlation-matrix_Only-EVs(calculated).csv")

